#pragma once

//~~~~~~~~~~~~~~~~~~~
//~ Dynamic library ~
//~~~~~~~~~~~~~~~~~~~
#ifdef _MSC_VER // Microsoft Visual C++
#ifdef MARVELMATHSAVXCALCULATIONNATIVEKERNELS
#define MARVELMATHSAVXCALCULATIONNATIVEKERNELS_EXPORT __declspec( dllexport ) 
#else
#define MARVELMATHSAVXCALCULATIONNATIVEKERNELS_EXPORT __declspec( dllimport )
#endif
#else  // Linux / Solaris
#define MARVELMATHSAVXCALCULATIONNATIVEKERNELS_EXPORT
#endif

//~~~~~~~~~~~~~~~~~~~
//~  SIMD Pragmas   ~
//~~~~~~~~~~~~~~~~~~~
#ifdef __INTEL_COMPILER
//#define MARVEL_SIMD_LOOP __pragma(simd assert)
#define MARVEL_SIMD_LOOP __pragma(ivdep) \
  //__pragma(vector always assert)
#else
#define MARVEL_SIMD_LOOP 
#endif
